%global debug_package %{nil}

Name: python-jaraco.classes
Epoch: 100
Version: 3.2.1
Release: 1%{?dist}
BuildArch: noarch
Summary: Utility functions for Python class constructs
License: MIT
URL: https://github.com/jaraco/jaraco.classes/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Utility functions for Python class constructs.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-jaraco.classes
Summary: Utility functions for Python class constructs
Requires: python3
Requires: python3-more-itertools
Provides: python3-jaraco.classes = %{epoch}:%{version}-%{release}
Provides: python3dist(jaraco.classes) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-jaraco.classes = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(jaraco.classes) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-jaraco.classes = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(jaraco.classes) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-jaraco.classes
Utility functions for Python class constructs.

%files -n python%{python3_version_nodots}-jaraco.classes
%license LICENSE
%{python3_sitelib}/*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-jaraco.classes
Summary: Utility functions for Python class constructs
Requires: python3
Requires: python3-more-itertools
Provides: python3-jaraco.classes = %{epoch}:%{version}-%{release}
Provides: python3dist(jaraco.classes) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-jaraco.classes = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(jaraco.classes) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-jaraco.classes = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(jaraco.classes) = %{epoch}:%{version}-%{release}

%description -n python3-jaraco.classes
Utility functions for Python class constructs.

%files -n python3-jaraco.classes
%license LICENSE
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n python3-jaraco-classes
Summary: Utility functions for Python class constructs
Requires: python3
Requires: python3-more-itertools
Provides: python3-jaraco.classes = %{epoch}:%{version}-%{release}
Provides: python3dist(jaraco.classes) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-jaraco.classes = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(jaraco.classes) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-jaraco.classes = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(jaraco.classes) = %{epoch}:%{version}-%{release}

%description -n python3-jaraco-classes
Utility functions for Python class constructs.

%files -n python3-jaraco-classes
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
